package com.xydl.cac.service;

import com.beanit.iec61850bean.FileInformation;
import com.xydl.cac.entity.IedDlConfig;
import com.xydl.cac.exception.BusinessException;

import java.util.List;

public interface IedDlConfigService {

    List<IedDlConfig> listAll();

    IedDlConfig get(Integer id) throws BusinessException;

    IedDlConfig add(IedDlConfig item) throws Exception;

    void update(IedDlConfig item) throws Exception;

    void delete(Integer id);

    List<FileInformation> listFiles(Integer iedId, String path) throws Exception;
}
